New embedded checkout request
The first step is to submit the details of the payment you'd like to initiate. We'll validate that all the required data is supplied and that it's a payment that Volt can support.
Step-by-step instructions for creating an embedded checkout are available in our integration guides area.
Authorization
oauth OAuth2 password grant - see the documentation in the oAuth2 Authentication section
In: header
Request Body
application/json
Details of the payment you'd like to initiate. Note that the details you need to provide are slightly different, depending on the country.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://api.sandbox.volt.io/dropin" \ -H "Content-Type: application/json" \ -d '{ "currencyCode": "GBP", "amount": 12345, "type": "OTHER", "shopper": { "reference": "user-13489" } }'{
"id": "fc89fd80-ba96-406f-b4ff-f9e0dd4a5907",
"token": "eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9.eyJpYXQiOjE2ODA3MTAyMDUsImV4cCI6MTY4MDcxMzgwNSwicm9sZXMiOltdLCJ1c2VybmFtZSI6IkNIRUNLT1VUX0pXVF9JTVBMRU1FTlRBVElPTiJ9.hgmagv30Mi6X9mffhKsdnB6XhgvSzPswG0mcJa4M3Xeea-GguCh6VcYpK6_ptsZTRjs2yzjBCY_MKVB4BTynNEqfttpqXEvvcVsccLPpLhHjsaLvnDh9-KpUrjo2dQdAhAwtKvIReInWCmXTVoJwQ7IAdYTNmUXSKmEP73cZ5pm4JIUBma4vEljbAtjP7m3QyoFnDLx9ieyptmbyP91ykixqe-skNZ2C8GfK9gfnuQSOxRLSVS8YERvxek6zqjDKzt4OQFSd-2IdK1sXft5ICFUt7PVKK0KOD4VmcLCeqwJUWef0DUGiUddA85tP5yndxfk6Aq0s-4rdYwYZu5bRNys1MKlbiCM2nCn7whTHPyfa7FPTpkvjWZSSmTe0XF-BkDvlUWyWTcZ3UtmnKWqR6lxH14N5Lf-U847DqBIFtCXctNgg2Lv41iiwdvXhF9MYLRdRPikGj_Nq_r7zEwIZ0J3OH3UGsJ5XpF5BBkVdc538Aaa9bkL7zPk1Synz5F9thH-QhkVua_mXAoHdQRPVXynE20aT3oyO3VpDBT2AHPlyYOlzTh4LidSYDHaGwsJGXVEmTtPP0-G3b6r6fKVWa5vWHi_1ZwEHnjWhim-COo45AreBqldtOULfFnGKtJdmLvB2cDXGK0NFgcTt15_hemNhcRoFixzPQWPVZIAAJVI"
}Payment Match Score GET
This endpoint will allow accurately matches naming nuances between merchant inputs and end-user bank records
New payment request POST
The first step is to submit the details of the payment you'd like to initiate. We'll validate that all the required data is supplied and that it's a payment that Volt can support. Step-by-step instructions for payment initiation are available in our [integration guides](https://docs.volt.io/gateway/hosted/) area.